<?php

namespace App\Http\Controllers;

use App\Models\Base_GestDoc;
use Illuminate\Http\Request;

class BaseGestDocController extends Controller
{
    //metodod dashborad
    public function index()
    {
        //
    }


    //metodo que permite cadastrar
    public function cadastrar(Request $request)
    {
        //
    }

    //metodo que permite listar
    public function listar($id,Base_GestDoc $base_GestDoc)
    {
        //
    }


    //metodod permite editar
    public function editar(Request $request,$id ,Base_GestDoc $base_GestDoc)
    {
        //
    }

    //permite eliminar
    public function eliminar($id,Base_GestDoc $base_GestDoc)
    {
        //
    }
}
